--[[
## Interface: FS17 v1.5.3.1
## Title: UnitConvert DriveControl AddOn
## Description: UnitConvert AddOn for handling DriveControl texts.
## Author: ThundR75
## Version: 1.0.0.0
## Date: 09/04/2018

## ChangeLog:
	Version 1.0.0.0
		- Initial release
--]]

local ucAddOnIndex = getTableLength(ucMod.addOns) + 1
ucMod.addOns[ucAddOnIndex] = {}
ucMod.addOns[ucAddOnIndex].name		= "DriveControl"
ucMod.addOns[ucAddOnIndex].source	= "driveControl"
ucMod.addOns[ucAddOnIndex].version	= "4.10"

local ucDriveControl = ucMod.addOns[ucAddOnIndex]
local driveControl = nil

function ucDriveControl:initialize()
	local target = ucDriveControl.target
	if target then
		target.load = Utils.overwrittenFunction(target.load, ucDriveControl.load)

		driveControl = target
		return true
	end
end

function ucDriveControl:load(superFunc, ...)
	local ret = {superFunc(self, ...)}
	
	-- [UC] Move the nearest neighbor display
	driveControl.neighborFillLevelTxtX = g_currentMission.fuelLevelBar.x
	driveControl.neighborFillLevelTxtY = g_currentMission.fuelLevelBar.y - driveControl.halfTextW
	
	return unpack(ret)
end