--[[
## Interface: FS17 v1.5.3.1
## Title: UnitConvert Farming Tablet [AnimalStatus] AddOn
## Description: UnitConvert AddOn for handling FarmingTablet texts.
## Author: ThundR75
## Version: 1.0.0.0
## Date: 09/05/2018

## ChangeLog:
	Version 1.0.0.0
		- Initial release
--]]

local ucAddOnIndex = getTableLength(ucMod.addOns) + 1
ucMod.addOns[ucAddOnIndex] = {}
ucMod.addOns[ucAddOnIndex].name		= "FarmingTablet [AnimalStatus]"
ucMod.addOns[ucAddOnIndex].source	= "FarmingTablet_App_Animalstatus"
ucMod.addOns[ucAddOnIndex].version	= "1.2"

local ucFarmingTabletAnimalStatus = ucMod.addOns[ucAddOnIndex]
local FarmingTablet_App_Animalstatus = nil

function ucFarmingTabletAnimalStatus:initialize()
	local target = ucFarmingTabletAnimalStatus.target
	if target then
		target.draw_AnimalStatus_overview = Utils.overwrittenFunction(target.draw_AnimalStatus_overview, ucFarmingTabletAnimalStatus.draw_AnimalStatus_overview)

		FarmingTablet_App_Animalstatus = target
		return true
	end
end

function ucFarmingTabletAnimalStatus:draw_AnimalStatus_overview(superFunc)
	local xpos = 0.73
	local ycpos = 0.57
	local ycopos = 0.57
	local yppos = 0.57
	local ypos =0.57
	local x2pos = xpos + 0.1
	local fontSize = 0.018

	renderOverlay(g_farmingTablet.button.getOverlayByModus_name("image", "appScreenTierSystem").id, 0.008, 0.0163, 1, 0.964)
	g_farmingTablet.button.drawButtonByCategory("ANIMALSTATUS_PAGE_FRONT")
	setTextColor(1, 1, 1, 1)

	function FarmingTablet_App_Animalstatus:RenderChickenText(name, daten, einheit)
		setTextColor(1, 1, 1, 1)
		renderText(0.18, 0.59, 0.025, g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_chicken"))
		renderText(0.13, ycpos, fontSize, name)
		renderText(0.23, ycpos, fontSize, daten .. "  " .. einheit)
		ycpos = ycpos -0.03
	end
	function FarmingTablet_App_Animalstatus:RenderCowText(name, daten, einheit)
		renderText(0.38, 0.59, 0.025, g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_cows"))
		if name == g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_dirt") or name == g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_productivity") then
			if daten < 45 then
				setTextColor(1, 0, 0, 1)
				renderText(0.33, ycopos, fontSize, name)
				renderText(0.43, ycopos, fontSize, daten .. "  " .. einheit)
			elseif daten < 65 then
				setTextColor(1, 1, 0, 1)
				renderText(0.33, ycopos, fontSize, name)
				renderText(0.43, ycopos, fontSize, daten .. "  " .. einheit)
			else
				setTextColor(1, 1, 1, 1)
				renderText(0.33, ycopos, fontSize, name)
				renderText(0.43, ycopos, fontSize, daten .. "  " .. einheit)
			end
		else
			setTextColor(1, 1, 1, 1)
			renderText(0.33, ycopos, fontSize, name)
			renderText(0.43, ycopos, fontSize, daten .. "  " .. einheit)
		end
		ycopos = ycopos -0.03
	end
	function FarmingTablet_App_Animalstatus:RenderPigText(name, daten, einheit)
		renderText(0.58, 0.59, 0.025, g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_pigs"))
		if name == g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_dirt") or name == g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_productivity") then
			if daten < 45 then
				setTextColor(1, 0, 0, 1)
				renderText(0.53, yppos, fontSize, name)
				renderText(0.63, yppos, fontSize, daten .. "  " .. einheit)
			elseif daten < 65 then
				setTextColor(1, 1, 0, 1)
				renderText(0.53, yppos, fontSize, name)
				renderText(0.63, yppos, fontSize, daten .. "  " .. einheit)
			else
				setTextColor(1, 1, 1, 1)
				renderText(0.53, yppos, fontSize, name)
				renderText(0.63, yppos, fontSize, daten .. "  " .. einheit)
			end
		else
			setTextColor(1, 1, 1, 1)
			renderText(0.53, yppos, fontSize, name)
			renderText(0.63, yppos, fontSize, daten .. "  " .. einheit)
		end
		yppos = yppos -0.03
	end
	function FarmingTablet_App_Animalstatus:RenderText(name, daten, einheit)
		renderText(0.78, 0.59, 0.025, g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_sheeps"))
		if name == g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_dirt") or name == g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_productivity") then
			if daten < 45 then
				setTextColor(1, 0, 0, 1)
				renderText(0.73, ypos, fontSize, name)
				renderText(0.83, ypos, fontSize, daten .. "  " .. einheit)
			elseif daten < 65 then
				setTextColor(1, 1, 0, 1)
				renderText(0.73, ypos, fontSize, name)
				renderText(0.83, ypos, fontSize, daten .. "  " .. einheit)
			else
				setTextColor(1, 1, 1, 1)
				renderText(0.73, ypos, fontSize, name)
				renderText(0.83, ypos, fontSize, daten .. "  " .. einheit)
			end
		else
			setTextColor(1, 1, 1, 1)
			renderText(0.73, ypos, fontSize, name)
			renderText(0.83, ypos, fontSize, daten .. "  " .. einheit)
		end
		ypos = ypos -0.03
	end
	-- Hühner
	if g_currentMission.husbandries.chicken.totalNumAnimals > 1 then
		FarmingTablet_App_Animalstatus.animals.anzahl = g_currentMission.husbandries.chicken.totalNumAnimals
		FarmingTablet_App_Animalstatus.animals.produkt = g_currentMission.husbandries.chicken.numActivePickupObjects

		-- [UC] Display Proper Animal Unit
		local ucFillType = FillUtil.fillTypeIndexToDesc[FillUtil.FILLTYPE_CHICKEN]
		local ucFillUnit = ucMod:getFillUnit(ucFillType.index, ucMod.UNIT_SET_ANIMAL)
		FarmingTablet_App_Animalstatus:RenderChickenText(ucFillType.nameI18N, FarmingTablet_App_Animalstatus.animals.anzahl, ucFillUnit.nameI18NShort)

		--FarmingTablet_App_Animalstatus:RenderChickenText(g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_anzahl"), FarmingTablet_App_Animalstatus.animals.anzahl, g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_piece"))
		if FarmingTablet_App_Animalstatus.animals.produkt ~= nil then

			-- [UC] Display Proper Unit
			local ucFillType = FillUtil.fillTypeIndexToDesc[FillUtil.FILLTYPE_EGG]
			local ucFillUnit = ucMod:getFillUnit(ucFillType.index, ucMod.UNIT_SET_ANIMAL)
			FarmingTablet_App_Animalstatus:RenderChickenText(ucFillType.nameI18N, FarmingTablet_App_Animalstatus.animals.produkt, ucFillUnit.nameI18N)

			--FarmingTablet_App_Animalstatus:RenderChickenText(g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_anzahlEggs"), FarmingTablet_App_Animalstatus.animals.produkt, g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_piece"))
		end
	end

	-- Kühe
	if g_currentMission.husbandries.cow.totalNumAnimals > 0 then
		FarmingTablet_App_Animalstatus.animals.anzahl = g_currentMission.husbandries.cow.totalNumAnimals
		FarmingTablet_App_Animalstatus.animals.produkt = g_currentMission.husbandries.cow.fillLevelMilk
		FarmingTablet_App_Animalstatus.animals.produktzwei = g_currentMission.husbandries.cow.manureFillLevel
		FarmingTablet_App_Animalstatus.animals.produktdrei = g_currentMission.husbandries.cow.liquidManureTrigger.fillLevel
		FarmingTablet_App_Animalstatus.animals.produktivitaet = g_currentMission.husbandries.cow.productivity
		FarmingTablet_App_Animalstatus.animals.sauberkeit = g_currentMission.husbandries.cow.cleanlinessFactor
		FarmingTablet_App_Animalstatus.animals.stroh = g_currentMission.husbandries.cow:getFillLevel(FillUtil.FILLTYPE_STRAW)
		FarmingTablet_App_Animalstatus.animals.wasser = g_currentMission.husbandries.cow:getFillLevel(FillUtil.FILLTYPE_WATER)
		FarmingTablet_App_Animalstatus.animals.foodeins = g_currentMission.husbandries.cow:getFillLevel(FillUtil.FILLTYPE_GRASS_WINDROW) + g_currentMission.husbandries.cow:getFillLevel(FillUtil.FILLTYPE_DRYGRASS_WINDROW)
		FarmingTablet_App_Animalstatus.animals.foodzwei = g_currentMission.husbandries.cow:getFillLevel(FillUtil.FILLTYPE_SILAGE)
		FarmingTablet_App_Animalstatus.animals.fooddrei = g_currentMission.husbandries.cow:getFillLevel(FillUtil.FILLTYPE_POWERFOOD)

		-- [UC] Display Proper Animal Unit
		local ucFillType = FillUtil.fillTypeIndexToDesc[FillUtil.FILLTYPE_COW]
		local ucFillUnit = ucMod:getFillUnit(ucFillType.index, ucMod.UNIT_SET_ANIMAL)
		FarmingTablet_App_Animalstatus:RenderCowText(ucFillType.nameI18N, FarmingTablet_App_Animalstatus.animals.anzahl, ucFillUnit.nameI18N)

		--FarmingTablet_App_Animalstatus:RenderCowText(g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_anzahl"), FarmingTablet_App_Animalstatus.animals.anzahl, g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_piece"))

		-- [UC] Convert Cow Products
		local ucCowProducts = {}
		table.insert(ucCowProducts, {fillType = FillUtil.FILLTYPE_MILK, fillLevel = FarmingTablet_App_Animalstatus.animals.produkt})
		table.insert(ucCowProducts, {fillType = FillUtil.FILLTYPE_MANURE, fillLevel = FarmingTablet_App_Animalstatus.animals.produktzwei})
		table.insert(ucCowProducts, {fillType = FillUtil.FILLTYPE_LIQUIDMANURE, fillLevel = FarmingTablet_App_Animalstatus.animals.produktdrei})

		for _, product in ipairs(ucCowProducts) do
			local ucFillUnit = ucMod:getFillUnit(product.fillType, ucMod.UNIT_SET_ANIMAL)
			local ucFillLevel = product.fillLevel
			ucFillLevel = ucMod:convertValue(ucFillLevel, ucFillUnit.index, product.fillType)
			ucFillLevel = numToStr(ucFillLevel, ucFillUnit.precision, "ceil", true, false)
			FarmingTablet_App_Animalstatus:RenderCowText(FillUtil.fillTypeIndexToDesc[product.fillType].nameI18N, ucFillLevel, ucFillUnit.nameI18NShort)
		end

		--FarmingTablet_App_Animalstatus:RenderCowText(g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_milk"), math.ceil(FarmingTablet_App_Animalstatus.animals.produkt), "l")
		--FarmingTablet_App_Animalstatus:RenderCowText(g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_slurry1"), math.ceil(FarmingTablet_App_Animalstatus.animals.produktzwei), "l")
		--FarmingTablet_App_Animalstatus:RenderCowText(g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_slurry2"), math.ceil(FarmingTablet_App_Animalstatus.animals.produktdrei), "l")
		FarmingTablet_App_Animalstatus:RenderCowText(g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_productivity"), math.ceil(FarmingTablet_App_Animalstatus.animals.produktivitaet * 100), g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_percent"))
		FarmingTablet_App_Animalstatus:RenderCowText(g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_dirt"), math.ceil(FarmingTablet_App_Animalstatus.animals.sauberkeit * 100), g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_percent"))

		-- [UC Convert Cow Inputs
		local ucCowInputs = {}
		table.insert(ucCowInputs, {name = g_i18n:getText("fillType_straw"), fillTypes = "straw", fillLevel = FarmingTablet_App_Animalstatus.animals.stroh})
		table.insert(ucCowInputs, {name = g_i18n:getText("fillType_water"), fillTypes = "water", fillLevel = FarmingTablet_App_Animalstatus.animals.wasser})
		table.insert(ucCowInputs, {name = g_i18n:getText("fillTypeGroup_grass"), fillTypes = "grass_windrow dryGrass_windrow", fillLevel = FarmingTablet_App_Animalstatus.animals.foodeins})
		table.insert(ucCowInputs, {name = g_i18n:getText("fillTypeGroup_silage"), fillTypes = "silage", fillLevel = FarmingTablet_App_Animalstatus.animals.foodzwei})
		table.insert(ucCowInputs, {name = g_i18n:getText("fillTypeGroup_power"), fillTypes = "powerFood", fillLevel = FarmingTablet_App_Animalstatus.animals.fooddrei})

		for _, input in ipairs(ucCowInputs) do
			local ucFillUnit = ucMod:getFillUnit(input.fillTypes, ucMod.UNIT_SET_ANIMAL)
			local ucFillLevel = input.fillLevel
			local ucBestFillType = ucMod:getHeaviestFillType(input.fillTypes)
			ucFillLevel = ucMod:convertValue(ucFillLevel, ucFillUnit.index, ucBestFillType)
			ucFillLevel = numToStr(ucFillLevel, ucFillUnit.precision, "ceil", true, false)
			FarmingTablet_App_Animalstatus:RenderCowText(input.name, ucFillLevel, ucFillUnit.nameI18NShort)
		end

		--FarmingTablet_App_Animalstatus:RenderCowText(g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_straw"), math.ceil(FarmingTablet_App_Animalstatus.animals.stroh), "l")
		--FarmingTablet_App_Animalstatus:RenderCowText(g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_water"), math.ceil(FarmingTablet_App_Animalstatus.animals.wasser), "l")
		--FarmingTablet_App_Animalstatus:RenderCowText(g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_heu"), math.ceil(FarmingTablet_App_Animalstatus.animals.foodeins), "l")
		--FarmingTablet_App_Animalstatus:RenderCowText(g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_silage"), math.ceil(FarmingTablet_App_Animalstatus.animals.foodzwei), "l")
		--FarmingTablet_App_Animalstatus:RenderCowText(g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_kraftfutter"), math.ceil(FarmingTablet_App_Animalstatus.animals.fooddrei), "l")
	end
	if g_currentMission.husbandries.sheep.totalNumAnimals > 0 then
		FarmingTablet_App_Animalstatus.animals.anzahl = g_currentMission.husbandries.sheep.totalNumAnimals

		-- [UC] Get Sheep Pallet FillType
		FarmingTablet_App_Animalstatus.animals.produktFillType = Utils.getNoNil(g_currentMission.husbandries.sheep.palletFillType, FillUtil.FILLTYPE_WOOL)

		if g_currentMission.husbandries.sheep.currentPallet == nil then
			FarmingTablet_App_Animalstatus.animals.produkt = "0"
		else
			FarmingTablet_App_Animalstatus.animals.produkt = math.ceil(g_currentMission.husbandries.sheep.currentPallet.fillLevel)
		end

		FarmingTablet_App_Animalstatus.animals.produktivitaet = g_currentMission.husbandries.sheep.productivity
		FarmingTablet_App_Animalstatus.animals.sauberkeit = g_currentMission.husbandries.sheep.cleanlinessFactor
		FarmingTablet_App_Animalstatus.animals.wasser = g_currentMission.husbandries.sheep:getFillLevel(FillUtil.FILLTYPE_WATER)
		FarmingTablet_App_Animalstatus.animals.foodeins = g_currentMission.husbandries.sheep:getFillLevel(FillUtil.FILLTYPE_GRASS_WINDROW) + g_currentMission.husbandries.sheep:getFillLevel(FillUtil.FILLTYPE_DRYGRASS_WINDROW)

		-- [UC] Display Proper Animal Unit
		local ucFillType = FillUtil.fillTypeIndexToDesc[FillUtil.FILLTYPE_SHEEP]
		local ucFillUnit = ucMod:getFillUnit(ucFillType.index, ucMod.UNIT_SET_ANIMAL)
		FarmingTablet_App_Animalstatus:RenderText(ucFillType.nameI18N, FarmingTablet_App_Animalstatus.animals.anzahl, ucFillUnit.nameI18N)

		--FarmingTablet_App_Animalstatus:RenderText(g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_anzahl"), FarmingTablet_App_Animalstatus.animals.anzahl, g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_piece"))

		-- [UC] Convert Sheep Products
		local ucFillType = FarmingTablet_App_Animalstatus.animals.produktFillType
		local ucFillLevel = FarmingTablet_App_Animalstatus.animals.produkt
		local ucFillUnit = ucMod:getFillUnit(ucFillType, ucMod.UNIT_SET_ANIMAL)
		ucFillLevel = ucMod:convertValue(ucFillLevel, ucFillUnit.index, ucFillType)
		ucFillLevel = numToStr(ucFillLevel, ucFillUnit.precision, "ceil", true, false)
		FarmingTablet_App_Animalstatus:RenderText(FillUtil.fillTypeIndexToDesc[FarmingTablet_App_Animalstatus.animals.produktFillType].nameI18N, ucFillLevel, ucFillUnit.nameI18NShort)

		--FarmingTablet_App_Animalstatus:RenderText(g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_wool"), math.ceil(FarmingTablet_App_Animalstatus.animals.produkt), "l")
		FarmingTablet_App_Animalstatus:RenderText(g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_productivity"), math.ceil(FarmingTablet_App_Animalstatus.animals.produktivitaet * 100), g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_percent"))
		FarmingTablet_App_Animalstatus:RenderText(g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_dirt"), math.ceil(FarmingTablet_App_Animalstatus.animals.sauberkeit * 100), g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_percent"))

		-- [UC] Convert Sheep Inputs
		local ucSheepInputs = {}
		table.insert(ucSheepInputs, {name = g_i18n:getText("fillType_water"), fillTypes = "water", fillLevel = FarmingTablet_App_Animalstatus.animals.wasser})
		table.insert(ucSheepInputs, {name = g_i18n:getText("fillTypeGroup_grass"), fillTypes = "grass_windrow dryGrass_windrow", fillLevel = FarmingTablet_App_Animalstatus.animals.foodeins})

		for _, input in ipairs(ucSheepInputs) do
			local ucFillUnit = ucMod:getFillUnit(input.fillTypes, ucMod.UNIT_SET_ANIMAL)
			local ucFillLevel = input.fillLevel
			local ucBestFillType = ucMod:getHeaviestFillType(input.fillTypes)
			ucFillLevel = ucMod:convertValue(ucFillLevel, ucFillUnit.index, ucBestFillType)
			ucFillLevel = numToStr(ucFillLevel, ucFillUnit.precision, "ceil", true, false)
			FarmingTablet_App_Animalstatus:RenderText(input.name, ucFillLevel, ucFillUnit.nameI18NShort)
		end

		--FarmingTablet_App_Animalstatus:RenderText(g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_water"), math.ceil(FarmingTablet_App_Animalstatus.animals.wasser), "l")
		--FarmingTablet_App_Animalstatus:RenderText(g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_heu"), math.ceil(FarmingTablet_App_Animalstatus.animals.foodeins), "l")
	end
	if g_currentMission.husbandries.pig.totalNumAnimals > 0 then
		FarmingTablet_App_Animalstatus.animals.anzahl = g_currentMission.husbandries.pig.totalNumAnimals
		FarmingTablet_App_Animalstatus.animals.produkt = g_currentMission.husbandries.pig.manureFillLevel
		FarmingTablet_App_Animalstatus.animals.produktzwei = g_currentMission.husbandries.pig.liquidManureTrigger.fillLevel
		FarmingTablet_App_Animalstatus.animals.produktivitaet = g_currentMission.husbandries.pig.productivity
		FarmingTablet_App_Animalstatus.animals.sauberkeit = g_currentMission.husbandries.pig.cleanlinessFactor
		FarmingTablet_App_Animalstatus.animals.stroh = g_currentMission.husbandries.pig:getFillLevel(FillUtil.FILLTYPE_STRAW)
		FarmingTablet_App_Animalstatus.animals.wasser = g_currentMission.husbandries.pig:getFillLevel(FillUtil.FILLTYPE_WATER)
		FarmingTablet_App_Animalstatus.animals.foodeins = g_currentMission.husbandries.pig:getFillLevel(FillUtil.FILLTYPE_MAIZE)
		FarmingTablet_App_Animalstatus.animals.foodzwei = g_currentMission.husbandries.pig:getFillLevel(FillUtil.FILLTYPE_WHEAT) + g_currentMission.husbandries.pig:getFillLevel(FillUtil.FILLTYPE_BARLEY)
		FarmingTablet_App_Animalstatus.animals.fooddrei = g_currentMission.husbandries.pig:getFillLevel(FillUtil.FILLTYPE_RAPE) + g_currentMission.husbandries.pig:getFillLevel(FillUtil.FILLTYPE_SUNFLOWER) + g_currentMission.husbandries.pig:getFillLevel(FillUtil.FILLTYPE_SOYBEAN)
		FarmingTablet_App_Animalstatus.animals.foodvier = g_currentMission.husbandries.pig:getFillLevel(FillUtil.FILLTYPE_POTATO) + g_currentMission.husbandries.pig:getFillLevel(FillUtil.FILLTYPE_SUGARBEET)

		-- [UC] Display Proper Animal Unit
		local ucFillType = FillUtil.fillTypeIndexToDesc[FillUtil.FILLTYPE_PIG]
		local ucFillUnit = ucMod:getFillUnit(ucFillType.index, ucMod.UNIT_SET_ANIMAL)
		FarmingTablet_App_Animalstatus:RenderPigText(ucFillType.nameI18N, FarmingTablet_App_Animalstatus.animals.anzahl, ucFillUnit.nameI18N)

		--FarmingTablet_App_Animalstatus:RenderPigText(g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_anzahl"), FarmingTablet_App_Animalstatus.animals.anzahl, g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_piece"))

		-- [UC] Convert Pig Products
		local ucPigProducts = {}
		table.insert(ucPigProducts, {fillType = FillUtil.FILLTYPE_MANURE, fillLevel = FarmingTablet_App_Animalstatus.animals.produkt})
		table.insert(ucPigProducts, {fillType = FillUtil.FILLTYPE_LIQUIDMANURE, fillLevel = FarmingTablet_App_Animalstatus.animals.produktzwei})

		for _, product in ipairs(ucPigProducts) do
			local ucFillUnit = ucMod:getFillUnit(product.fillType, ucMod.UNIT_SET_ANIMAL)
			local ucFillLevel = product.fillLevel
			ucFillLevel = ucMod:convertValue(ucFillLevel, ucFillUnit.index, product.fillType)
			ucFillLevel = numToStr(ucFillLevel, ucFillUnit.precision, "ceil", true, false)
			FarmingTablet_App_Animalstatus:RenderPigText(FillUtil.fillTypeIndexToDesc[product.fillType].nameI18N, ucFillLevel, ucFillUnit.nameI18NShort)
		end

		--FarmingTablet_App_Animalstatus:RenderPigText(g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_slurry1"), math.ceil(FarmingTablet_App_Animalstatus.animals.produkt), "l")
		--FarmingTablet_App_Animalstatus:RenderPigText(g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_slurry2"), math.ceil(FarmingTablet_App_Animalstatus.animals.produktzwei), "l")
		FarmingTablet_App_Animalstatus:RenderPigText(g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_productivity"), math.ceil(FarmingTablet_App_Animalstatus.animals.produktivitaet * 100), g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_percent"))
		FarmingTablet_App_Animalstatus:RenderPigText(g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_dirt"), math.ceil(FarmingTablet_App_Animalstatus.animals.sauberkeit * 100), g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_percent"))

		-- [UC] Convert Pig Inputs
		local ucPigInputs = {}
		table.insert(ucPigInputs, {name = g_i18n:getText("fillType_straw"), fillTypes = "straw", fillLevel = FarmingTablet_App_Animalstatus.animals.stroh})
		table.insert(ucPigInputs, {name = g_i18n:getText("fillType_water"), fillTypes = "water", fillLevel = FarmingTablet_App_Animalstatus.animals.wasser})
		table.insert(ucPigInputs, {name = g_i18n:getText("fillTypeGroup_bulk"), fillTypes = "maize", fillLevel = FarmingTablet_App_Animalstatus.animals.foodeins})
		table.insert(ucPigInputs, {name = g_i18n:getText("fillTypeGroup_grain"), fillTypes = "wheat barley", fillLevel = FarmingTablet_App_Animalstatus.animals.foodzwei})
		table.insert(ucPigInputs, {name = g_i18n:getText("fillTypeGroup_protein"), fillTypes = "rape sunflower soybean", fillLevel = FarmingTablet_App_Animalstatus.animals.fooddrei})
		table.insert(ucPigInputs, {name = g_i18n:getText("fillTypeGroup_earth"), fillTypes = "sugarBeet potato", fillLevel = FarmingTablet_App_Animalstatus.animals.foodvier})

		for _, input in ipairs(ucPigInputs) do
			local ucFillUnit = ucMod:getFillUnit(input.fillTypes, ucMod.UNIT_SET_ANIMAL)
			local ucFillLevel = input.fillLevel
			local ucBestFillType = ucMod:getHeaviestFillType(input.fillTypes)
			ucFillLevel = ucMod:convertValue(ucFillLevel, ucFillUnit.index, ucBestFillType)
			ucFillLevel = numToStr(ucFillLevel, ucFillUnit.precision, "ceil", true, false)
			FarmingTablet_App_Animalstatus:RenderPigText(input.name, ucFillLevel, ucFillUnit.nameI18NShort)
		end

		--FarmingTablet_App_Animalstatus:RenderPigText(g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_straw"), math.ceil(FarmingTablet_App_Animalstatus.animals.stroh), "l")
		--FarmingTablet_App_Animalstatus:RenderPigText(g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_water"), math.ceil(FarmingTablet_App_Animalstatus.animals.wasser), "l")
		--FarmingTablet_App_Animalstatus:RenderPigText(g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_fruit1"), math.ceil(FarmingTablet_App_Animalstatus.animals.foodeins), "l")
		--FarmingTablet_App_Animalstatus:RenderPigText(g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_fruit2"), math.ceil(FarmingTablet_App_Animalstatus.animals.foodzwei), "l")
		--FarmingTablet_App_Animalstatus:RenderPigText(g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_fruit3"), math.ceil(FarmingTablet_App_Animalstatus.animals.fooddrei), "l")
		--FarmingTablet_App_Animalstatus:RenderPigText(g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_fruit4"), math.ceil(FarmingTablet_App_Animalstatus.animals.foodvier), "l")
		--FarmingTablet_App_Animalstatus:RenderPigText(g_farmingTablet.utils.getTextByAppName(FarmingTablet_App_Animalstatus.name, "animalApp_fruit5"), " ", " ")
	end
end
