--[[
## Interface: FS17 v1.5.3.1
## Title: UnitConvert Farming Tablet [FarmSiloSystem] AddOn
## Description: UnitConvert AddOn for handling FarmingTablet texts.
## Author: ThundR75
## Version: 1.0.0.0
## Date: 09/05/2018

## ChangeLog:
	Version 1.0.0.0
		- Initial release
--]]

local ucAddOnIndex = getTableLength(ucMod.addOns) + 1
ucMod.addOns[ucAddOnIndex] = {}
ucMod.addOns[ucAddOnIndex].name		= "FarmingTablet [FarmSiloSystem]"
ucMod.addOns[ucAddOnIndex].source	= "FarmingTablet_App_Farmsilosystem"
ucMod.addOns[ucAddOnIndex].version	= "1.2"

local ucFarmingTabletFarmSiloSystem = ucMod.addOns[ucAddOnIndex]
local FarmingTablet_App_Farmsilosystem = nil

function ucFarmingTabletFarmSiloSystem:initialize()
	local target = ucFarmingTabletFarmSiloSystem.target
	if target then
		target.draw_FarmSiloSystem_overview = Utils.overwrittenFunction(target.draw_FarmSiloSystem_overview, ucFarmingTabletFarmSiloSystem.draw_FarmSiloSystem_overview)

		FarmingTablet_App_Farmsilosystem = target
		return true
	end
end

function ucFarmingTabletFarmSiloSystem:draw_FarmSiloSystem_overview()
	renderOverlay(g_farmingTablet.button.getOverlayByModus_name("image", "backScreen").id, 0.008, 0.0163, 1, 0.964)
	renderOverlay(g_farmingTablet.button.getOverlayByModus_name("image", "backScreenAlpha").id, 0.45, 0.18, 0.47, 0.6)
	g_farmingTablet.button.drawButtonByCategory("FARMSILOSYSTEM_PAGE_FRONT")
	g_farmingTablet.button.drawButtonByCategory("FARMSILOSYSTEM_PAGE_MENUEITEMS")

	setTextColor(1, 1, 1, 1)
	if FarmingTablet_App_Farmsilosystem.data.objects[FarmingTablet_App_Farmsilosystem.activeSilo] ~= nil then
		local object = FarmingTablet_App_Farmsilosystem.data.objects[FarmingTablet_App_Farmsilosystem.activeSilo]

		renderText(0.31, (0.73), 0.032, object.name)
		local i = 0
		for typ, lvl in pairs(object.fillLvls) do
			local height = Utils.getNoNil(object.height, 0.06)

			renderText(0.46, (0.67 - (i * height)), 0.03, g_i18n:getText("fillType_" .. typ))

			-- [UC] Convert FillLevels
			local ucFillUnit = ucMod:getFillUnit(typ, ucMod.UNIT_SET_STORAGE)
			local ucFillLevel = lvl
			ucFillLevel = ucMod:convertValue(ucFillLevel, ucFillUnit.index, typ)
			ucFillLevel = numToStr(ucFillLevel, ucFillUnit.precision, "ceil", true, false)
			renderText(0.66, (0.67 - (i * height)), 0.03, ucFillLevel .. " " .. ucFillUnit.nameI18NShort)

			--renderText(0.66, (0.67 - (i * height)), 0.03, tostring(string.format("%d", lvl)))
			i = i + 1
		end
	end
	local i = FarmingTablet_App_Farmsilosystem.menueState
	local h = 1
	for j = FarmingTablet_App_Farmsilosystem.menueState, FarmingTablet_App_Farmsilosystem.menueState + 5 do
		if j > table.getn(FarmingTablet_App_Farmsilosystem.data.objects) then
			break
		end
		if i == FarmingTablet_App_Farmsilosystem.activeSilo then
			setTextBold(true)
			renderText(0.11, (0.625 - ((h - 1) * 0.074)), 0.03, FarmingTablet_App_Farmsilosystem.data.objects[i].name)
			setTextBold(false)
		else
			renderText(0.11, (0.625 - ((h - 1) * 0.074)), 0.03, FarmingTablet_App_Farmsilosystem.data.objects[i].name)
		end
		h = h + 1
		i = i + 1
	end
end
